﻿@using Microsoft.AspNetCore.Mvc.Localization
@model AEWeb.ViewModels.Dashboard.DashboardListViewModel
@inject IViewLocalizer Localizer
@{
    var culture = System.Globalization.CultureInfo.CurrentCulture.ToString();
    ViewBag.Title = "List of Dashboards";
}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>@Localizer["PageTitle"]</h2>
        <small>@Localizer["PageDescription"]</small>
    </div>
    <div class="col-lg-2">

    </div>
</div>

<div class="wrapper wrapper-content">
    <div class="row">
        <div class="col-lg-12">

            <div class="ibox">
                <div class="ibox-title">
                    <a asp-action="Create" class="btn btn-default btn-sm">@Localizer["CreateDashboard"]</a>
                    &nbsp;
                    @(Html.Kendo().ComboBox()
                        .Name("sampledashboardscombo")
                        .Placeholder("Select a sample")
                        .DataTextField("name")
                        .DataValueField("id")
                        .Template("#= name #")
                        .Filter(FilterType.Contains)
                        .AutoBind(true)
                        .MinLength(0)
                        .DataSource(source =>
                        {
                            source.Read(read =>
                            {
                                read.Action("SamplesListForCombo", "Dashboard")
                                    .Data("filterSampleByUser");
                            })
                            .ServerFiltering(true);
                        })
                    )
                    <script>
                        function filterSampleByUser() {
                            return {
                                userid: 'not used', domain:'@Model.Domain'
                            };
                        }
                    </script>
                    <a href="#" id="CreateSampleButton" class="btn btn-default btn-sm">Create</a>
                    
                </div>
                <div class="ibox-content">
                    <div class="container-fluid">

                        <div class="row mb-2">
                            <div class="col-md-6 col-xs-12 pt-2">
                                <div class="dataTables_info" id="DataTables_Table_0_info" role="status"
                                     aria-live="polite">
                                    @Model.MessageNumberEntries
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col">

                                <table class="table table-striped table-bordered table-hover dataTables-example">
                                    <thead>
                                        <tr>
                                            <th>
                                                @Localizer["EditLbl"]
                                            </th>
                                            <th>
                                                @Localizer["RemoveLbl"]
                                            </th>
                                            <th>
                                                @Localizer["Share"]
                                            </th>
                                            <th>
                                                @Localizer["View"]
                                            </th>
                                            <th>
                                                @Localizer["EditRows"]
                                            </th>
                                            <th>
                                                @Html.DisplayNameFor(model => model.Dashboards[0].Name)
                                            </th>

                                            <th>
                                                @Html.DisplayNameFor(model => model.Dashboards[0].Type)
                                            </th>
                                            <th>
                                                @Html.DisplayNameFor(model => model.Dashboards[0].Status)
                                            </th>
                                            <th>
                                                @Html.DisplayNameFor(model => model.Dashboards[0].Creator)
                                            </th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @if (Model.Dashboards.Count > 0)
                                        {
                                            foreach (var item in Model.Dashboards)
                                            {
                                        <tr>
                                            <td align="center">
                                                @if (item.EditPermision)
                                                {
                                                <a href="/Dashboard/EasyEdit/@item.DashboardId" class="text-decoration-none"><i class="fa fa-edit"></i> </a>
                                                }
                                            </td>
                                            <td align="center">
                                                @if (item.EditPermision)
                                                {
                                                <a asp-action="Remove" asp-route-id="@item.DashboardId" class="text-decoration-none">
                                                    <i class="fa fa-trash"></i>
                                                </a>
                                                }
                                            </td>
                                            <td align="center">
                                                @if (item.EditPermision)
                                                {
                                                <a asp-action="Share" asp-route-id="@item.DashboardId" class="text-decoration-none">
                                                    <i class="fa fa-users"></i>
                                                </a>
                                                }
                                            </td>
                                            <td align="center">
                                                <a asp-action="DisplayDashboard" asp-route-key="@item.DashboardId">
                                                    <i class="fa fa-binoculars"></i>
                                                </a>
                                            </td>
                                            <td align="center">
                                                @if (item.EditPermision)
                                                {
                                                <a asp-action="Index" asp-controller="DashboardRow"
                                                   asp-route-id="@item.DashboardId" class="text-decoration-none">
                                                    <i class="fa fa-bars"></i>
                                                </a>
                                                }
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.Name)
                                            </td>
                                            <td>
                                                @Localizer[item.TypeForDisplay]
                                            </td>
                                            <td>
                                                @Localizer[item.StatusForDisplay]
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.Creator)
                                            </td>
                                        </tr>
                                            }
                                        }
                                        else
                                        {
                                        <tr>
                                            <td colspan="9" class="text-center">
                                                No Dashboards found
                                            </td>
                                        </tr>
                                        }
                                    </tbody>
                                </table>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@section Scripts {
    <script type="text/javascript">
        $(document).ready(function () {
            $('#CreateSampleButton').click(function (e) {
                var combo = $("#sampledashboardscombo").data("kendoComboBox");
                document.location.href = "/Dashboard/CreateSample?id=" + combo.value();
            });
        });
    </script>
}